Package nl.tudelft.simulation.dsol.tutorial.section41

# Class MM1Queue41SwingApplicationEvents.SimulatorEventLogger

java.lang.Object
nl.tudelft.simulation.dsol.tutorial.section41.MM1Queue41SwingApplicationEvents.SimulatorEventLogger

All Implemented Interfaces:
  `EventListener`, `EventListenerInterface`

Enclosing class:
  MM1Queue41SwingApplicationEvents

    protected static class MM1Queue41SwingApplicationEvents.SimulatorEventLogger
    extends Object
    implements EventListenerInterface

Class to catch the events from the Simulator to check that they are right.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SimulatorEventLogger​(DEVSSimulator.TimeDouble devsSimulator)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `notify​(EventInterface event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimulatorEventLogger

SimulatorEventLogger​(DEVSSimulator.TimeDouble devsSimulator)

Parameters:
  `devsSimulator` - DEVSSimulator.TimeDouble; the simulator to provide the events

## Method Details

### notify

public void notify​(EventInterface event) throws RemoteException

Specified by:
  `notify` in interface `EventListenerInterface`
Throws:
  `RemoteException`